import { Boat, ID } from "../types"

export async function getBoatsFromApi() {
  const response = await fetch("/api/boat", {
    method: "GET",
  });
  const json = await response.json();
  return json;
}

export async function addBoat({
  name,
  boattype,
  status,
}: Omit<Boat, "id">) {
  const response = await fetch("/api/boat", {
    method: "POST",
    body: JSON.stringify({
      name: name,
      boattype: boattype,
      status: status,
    }),
    headers: {
      "Content-Type": "application/json",
    },
  });
  const json = await response.json();
  return json;
}

export async function editBoat({
  id,
  name,
  boattype,
  status,
}: Boat) {
  const response = await fetch(`/api/boat/${id}`, {
    method: "PATCH",
    body: JSON.stringify({
      name,
      boattype,
      status,
    }),
    headers: {
      "Content-Type": "application/json",
    },
  });
  const json = await response.json();
  return json;
}

export async function deleteBoat({ id }: ID) {
  const response = await fetch(`/api/boat/${id}`, {
    method: "DELETE",
  });
  const json = await response.json();
  return json;
}
